import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { List$1 } from "igniteui-angular-core";
import { CT_CustomColor } from "./CT_CustomColor";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_CustomColorList extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    constructor();
    a: List$1<CT_CustomColor>;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
